Debian Bug report logs - #383409
ODT files not recognized (reported as ZIP instead)

version graph

Package: file; Maintainer for file is Christoph Biedl <debian.axhn@manchmal.in-ulm.de>; Source for file is src:file.

Reported by: Marco <marcodefreitas@gmail.com>

Date: Thu, 17 Aug 2006 04:18:01 UTC

Severity: minor

Found in version file/4.17-2

Fixed in version 4.24-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Piefel <piefel@debian.org>:
Bug#383409; Package file. Full text and rfc822 format available.

Acknowledgement sent to Marco <marcodefreitas@gmail.com>:
New Bug report received and forwarded. Copy sent to Michael Piefel <piefel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco <marcodefreitas@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ODT files has wrong MIME type
Date: Thu, 17 Aug 2006 01:01:54 -0300
Package: file
Version: 4.17-2
Severity: normal

The command:

$ file -i archive.odt

Retuns:

archive.odt: application/x-zip

The correct type is: application/vnd.oasis.opendocument.text


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-k7
Locale: LANG=pt_BR, LC_CTYPE=pt_BR (charmap=ISO-8859-1)

Versions of packages file depends on:
ii  libc6                       2.3.6-15   GNU C Library: Shared libraries
ii  libmagic1                   4.17-2     File type determination
library us
ii  zlib1g                      1:1.2.3-13 compression library - runtime

file recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Piefel <piefel@debian.org>:
Bug#383409; Package file. Full text and rfc822 format available.

Acknowledgement sent to 383409@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Michael Piefel <piefel@debian.org>. Full text and rfc822 format available.

Message #10 received at 383409@bugs.debian.org (full text, mbox):

From: Michael Piefel <piefel@debian.org>
To: Marco <marcodefreitas@gmail.com>, 383409@bugs.debian.org, Debian BTS <control@bugs.debian.org>
Subject: Re: Bug#383409: ODT files has wrong MIME type
Date: Thu, 17 Aug 2006 10:55:55 +0200
retitle 383409 ODT files not recognized (reported as ZIP instead)
severity 383409 minor
thanks

Am Donnerstag, den 17.08.2006, 01:01 -0300 schrieb Marco:
> archive.odt: application/x-zip
> The correct type is: application/vnd.oasis.opendocument.text

This report is not useful without a patch or better magic that is able
to detect this kind of file. This kind of problem will pop up more often
in the future.

Note that file’s output is not incorrect at all, as the file truly is a
ZIP file. However, I agree that it would be great if ODT could be
detected directly.

Bye,
   Mike



Changed Bug title. Request was from Michael Piefel <piefel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `minor' from `normal' Request was from Michael Piefel <piefel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Piefel <piefel@debian.org>:
Bug#383409; Package file. Full text and rfc822 format available.

Acknowledgement sent to Marco <marcodefreitas@gmail.com>:
Extra info received and forwarded to list. Copy sent to Michael Piefel <piefel@debian.org>. Full text and rfc822 format available.

Message #19 received at 383409@bugs.debian.org (full text, mbox):

From: Marco <marcodefreitas@gmail.com>
To: 383409@bugs.debian.org
Subject: Re: Bug#383409: ODT files has wrong MIME type
Date: Thu, 17 Aug 2006 12:31:22 -0300
[Message part 1 (text/plain, inline)]
The magic can be:
mimetypeapplication/vnd.oasis.opendocument.text

Or:

application/vnd.oasis.opendocument.text

What always apears at the first line of the archive.
The OASIS spec always uses the 'store' method to pack a file called
`mimetype'. `mimetype' must have the correct MIME type.

This applies to Calc, Draw and Base documents too.
-- 
Marco de Freitas,
NBR para a Internet já! Porque meu navegador não é penico.

http://www.softwarelivre.org/news/2472
http://www.w3.org/2003/03/Translations/byLanguage?language=pt-br
http://www.petitiononline.com/we6k7496/petition.html
http://www.dicas-l.unicamp.br/dicas-l/browsers.php


Michael Piefel escreveu:
> retitle 383409 ODT files not recognized (reported as ZIP instead)
> severity 383409 minor
> thanks
> 
> Am Donnerstag, den 17.08.2006, 01:01 -0300 schrieb Marco:
>> archive.odt: application/x-zip
>> The correct type is: application/vnd.oasis.opendocument.text
> 
> This report is not useful without a patch or better magic that is able
> to detect this kind of file. This kind of problem will pop up more often
> in the future.
> 
> Note that file’s output is not incorrect at all, as the file truly is a
> ZIP file. However, I agree that it would be great if ODT could be
> detected directly.
> 
> Bye,
>    Mike
> 
[magic.odt (application/vnd.oasis.opendocument.text, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#383409; Package file. Full text and rfc822 format available.

Acknowledgement sent to "Nelson A. de Oliveira" <naoliv@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #24 received at 383409@bugs.debian.org (full text, mbox):

From: "Nelson A. de Oliveira" <naoliv@debian.org>
To: 383409@bugs.debian.org
Subject: Mime magic of .odt files
Date: Wed, 4 Apr 2007 03:00:28 -0300
[Message part 1 (text/plain, inline)]
Hi!

With the attached diff file, file now displays:

$ file -i magic.odt
magic.odt: application/x-zip application/vnd.oasis.opendocument.text

The problem is that I don't know it's OK to display two mime types.
The file is a real ZIP file and is also an OpenDocument Text file.

If it's OK to display both mime types, than it's easy to add the rest
of the OpenDocument formats to magic.mime.

Best regards,
Nelson

-- 
bash: ~/bin/program-to-generate-a-random-signature: No such file or directory
[diff (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#383409; Package file. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #29 received at 383409@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: "Nelson A. de Oliveira" <naoliv@debian.org>, 383409@bugs.debian.org
Subject: Re: Bug#383409: Mime magic of .odt files
Date: Wed, 04 Apr 2007 08:19:45 +0200
Nelson A. de Oliveira wrote:
> The problem is that I don't know it's OK to display two mime types.
> The file is a real ZIP file and is also an OpenDocument Text file.

no, it should only display one, but i (think) i have already a patch to
fix that, will be uploaded in the next revision.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Reply sent to daniel@debian.org:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marco <marcodefreitas@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #34 received at 383409-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 38542-done@bugs.debian.org, 119193-done@bugs.debian.org, 129518-done@bugs.debian.org, 136534-done@bugs.debian.org, 209043-done@bugs.debian.org, 217923-done@bugs.debian.org, 223340-done@bugs.debian.org, 246780-done@bugs.debian.org, 262169-done@bugs.debian.org, 299091-done@bugs.debian.org, 297775-done@bugs.debian.org, 303733-done@bugs.debian.org, 305337-done@bugs.debian.org, 342334-done@bugs.debian.org, 347244-done@bugs.debian.org, 348372-done@bugs.debian.org, 353085-done@bugs.debian.org, 359301-done@bugs.debian.org, 362242-done@bugs.debian.org, 364260-done@bugs.debian.org, 366949-done@bugs.debian.org, 376204-done@bugs.debian.org, 383409-done@bugs.debian.org, 383498-done@bugs.debian.org, 383504-done@bugs.debian.org, 391431-done@bugs.debian.org, 399637-done@bugs.debian.org, 430777-done@bugs.debian.org, 400933-done@bugs.debian.org, 402060-done@bugs.debian.org, 407032-done@bugs.debian.org, 430775-done@bugs.debian.org, 407120-done@bugs.debian.org, 409231-done@bugs.debian.org, 416842-done@bugs.debian.org, 421935-done@bugs.debian.org, 430362-done@bugs.debian.org, 433146-done@bugs.debian.org, 434889-done@bugs.debian.org, 442819-done@bugs.debian.org, 443290-done@bugs.debian.org, 446873-done@bugs.debian.org, 466033-done@bugs.debian.org, 463265-done@bugs.debian.org, 466035-done@bugs.debian.org, 466129-done@bugs.debian.org
Subject: file: fixed in 4.24-1
Date: Sat, 03 May 2008 12:58:22 +0200
Version: 4.24-1

Hi,

this bug has been fixed in file 4.24-1, thus closing. Thanks a lot to
Reuben Thomas for making this possible in upstream.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 Jun 2008 07:26:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:32:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.